> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /documents/{documentId}

> Patch a document.

### Params

<ParamField path="documentId" required type="string">
  A valid `document` id.
</ParamField>

### Body

<ParamField body="name" type="string">
  The name of the document.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A `document` object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request PATCH 'https://api.rapidagent.ai/api/v1/documents/{documentId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>' \
  --data-raw '{
      "name": "My patched document",
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
     "id": "cli28c2vd00016itbrlhekwql",
     "name": "My patched document",
      ...
    }
  }
  ```
</ResponseExample>
